package com.bonus.core.customer.model;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

@TableName("cust_dining_place")
@ApiModel(
   value = "CustDiningPlace对象",
   description = "人员就餐地表"
)
public class CustDiningPlace implements Serializable {
   private static final long serialVersionUID = 1L;
   public static final int DEFAULT_HALF_SELECT = 1;
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("就餐地类型")
   private String type;
   @ApiModelProperty("就餐地id")
   private Long diningPlaceId;
   @ApiModelProperty("节点状态(1全选,2半选)tinyint")
   private Integer halfSelect;

   public Long getCustId() {
      return this.custId;
   }

   public String getType() {
      return this.type;
   }

   public Long getDiningPlaceId() {
      return this.diningPlaceId;
   }

   public Integer getHalfSelect() {
      return this.halfSelect;
   }

   public CustDiningPlace setCustId(final Long custId) {
      this.custId = custId;
      return this;
   }

   public CustDiningPlace setType(final String type) {
      this.type = type;
      return this;
   }

   public CustDiningPlace setDiningPlaceId(final Long diningPlaceId) {
      this.diningPlaceId = diningPlaceId;
      return this;
   }

   public CustDiningPlace setHalfSelect(final Integer halfSelect) {
      this.halfSelect = halfSelect;
      return this;
   }



}
